Bug 588942 - RFE - Always assume global passphrase when unlocking encrypted volumes
Summary: RFE - Always assume global passphrase when unlocking encrypted volumes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 21:16 UTC by James Laska
Modified: 2013-09-02 06:48 UTC (History)
3 users (show)

Fixed In Version: anaconda-16.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-01 18:44:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Laska 2010-05-04 21:16:20 UTC
Anaconda behaves differently than plymouth when prompting for a passphrase to unlock encrypted volumes.  Plymouth, seems to have a more intuitive approach.  

Instead of offering to remember the "Global passphase" when unlocking encrypted volumes, would we instead ... 

 1. Attempt to unlock encrypted volume using list of saved passwords (initially empty).
 2. If not unlocked, prompt for passphrase
 3. Save entered passphrase to internal list of passphrases
 4. Repeat steps 1-3 for every encrypted volume encountered

I know bugzilla isn't the best place to have this discussion, I'll be happy to move this to a more appropriate location.  Ideas/thoughts?


Note You need to log in before you can comment on or make changes to this bug.